# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc购买不满足条件满减商品金额验证,2262,2262-29,sit,bs
涉及接口:运营后台管理系统登录、活动基本信息获取、活动包含的商品信息和getShoppingCartActivity等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import random

module = "cmdc_commodity_activity"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行促销活动列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取活动对应的activityBasicId和activityType
activity_basic_id = result["data"]["list"][0]["activityBasicId"]
activity_type = result["data"]["list"][0]["activityType"]

# 第三步获取对应活动包含的商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload3", activity_basic_id, activity_type)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取活动商品id、companyCode、productCode
product_id = result["data"][0]["productId"]
company_code = result["data"][0]["companyCode"]
product_code = result["data"][0]["productCode"]
product_price = result["data"][0]["referencePrice"]
purchase_quantity = random.randint(1, 2)
# print(purchase_quantity)
# 第四步验证减免金额正确性
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload10", company_code, product_id, product_code, product_price,
                                             purchase_quantity)
# print(request_body)
"""
 场景:验证当购买满减商品数量不满足规则时，满减价格是否正确
 用例名称：购买满足条件满减商品金额验证
 输出：{"activityAmount":0}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()
result = json.loads(result.content)
activity_amount = result["data"]["orderProductList"][0]["activityAmount"]
# print(activity_amount)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict11")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

