# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc优惠券列表查询条件验证,2262,2262-12,sit,bs
主数据平台:运营后台管理系统优惠券列表查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_coupon"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行优惠券列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取优惠券编码、优惠券名称、优惠券状态、优惠券类型、发放方式、可用活动时间
coupon_id = result["data"]["list"][0]["couponId"]
coupon_name = result["data"]["list"][0]["couponName"]
coupon_status = result["data"]["list"][0]["couponStatus"]
product_range_type = result["data"]["list"][0]["productRangeType"]
provide_type = result["data"]["list"][0]["provideType"]
effective_date = result["data"]["list"][0]["effectiveDate"]
expiration_date = result["data"]["list"][0]["expirationDate"]

# 第三步查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload2", coupon_id, coupon_name, coupon_status,
                                             product_range_type, provide_type, effective_date, expiration_date)
"""
 场景:优惠券列表查询条件验证
 用例名称：优惠券列表查询条件验证
 输出：{"couponId":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()
result = json.loads(result.content)
result = {"couponId": result["data"]["list"][0]["couponId"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2", coupon_id)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
