# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc优惠券商品验证,2262,2262-11,sit,bs
涉及接口:多采商城登录、查询查询和折扣查询等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json

module = "cmdc_coupon"

# 第一步登录多采商城获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_goods")
request_body = commonFuc().get_business_data(module, "payload_goods")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取商品的productId、productCode、companyCode
product_id = result["data"]["list"][0]["productid"]
product_code = result["data"]["list"][0]["productcode"]
company_code = result["data"]["list"][0]["filialecode"]

# 第四步验证商品活动列表中是否包含对应的优惠券
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_discount")
request_body = [{"productId": product_id, "productCode": product_code, "companyCode": company_code}]

"""
 场景: 验证商品对应的优惠券活动是否正确
 用例名称：验证商品对应的优惠券活动是否正确
 输出：{"couponAmount": 2.0000}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()
result = json.loads(result.content)
# print(result)
result = {"couponAmount": result["data"][0]["coupon"]["couponAmount"]}
# print(result)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict3")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
