# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc优惠券活动过期无法领取验证,2262,2262-7,sit,bs
主数据平台:运营后台管理系统优惠券列表查询和优惠券领取等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_coupon"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行指定优惠券活动的获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload6")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取指定优惠券活动信息couponId、companyCode
coupon_id = result["data"]["list"][0]["couponId"]
company_code = result["data"]["list"][0]["companyCode"]

# 第三步进行优惠券领取操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_collect_coupon")
request_body = commonFuc().get_business_data(module, "payload_collect_coupon", coupon_id, company_code)
# print(request_body)

"""
 场景:优惠券活动过期无法领取验证
 用例名称：优惠券活动过期无法领取验证
 输出：{"success":false,"code":"500","message":"该券已抢完，请您关注平台后续其他活动","data":null,"freshToken":null}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict_collect_coupon3")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
