# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询优惠券指定商品信息,2262,2262-3,sit,bs
主数据平台:运营后台管理系统优惠券列表查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_coupon"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步查询优惠券活动
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload9")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 查询优惠券活动id
coupon_id = result["data"]["list"][0]["couponId"]

# 第三步查询优惠券活动包含的指定商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url9")
request_body = commonFuc().get_business_data(module, "payload10", coupon_id)

"""
 场景:查询优惠券指定商品信息
 用例名称：查询优惠券指定商品信息
 输出：{"couponId":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()
result = json.loads(result.content)
# 获取商品对应的优惠券id
result = {"couponId": result["data"][0]["couponId"]}

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict10", coupon_id)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
