# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc新增跨站商品至常购清单列表,2252,2252-41,sit,bs
主数据平台:多采商城常购清单列表新增商品接口
备注：常购清单添加商品，需先切换至相应的子站点，否则无法直接添加跨站商品  
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_frequent_purchase"

# 步骤一登录后台管理系统查询商品列表获取已失效商品信息
# 获取登录后台管理系统所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 步骤二查询不同站点对应的商品信息
# 查询站点国药集团河南省医疗器械有限公司商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload4000")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取商品信息并进行参数化处理
product_id_103 = result["data"]["list"][0]["productId"]
price_103 = result["data"]["list"][0]["referencePrice"]

# 查询站点国药集团联合医疗器械有限公司商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload4001")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取商品信息并进行参数化处理
product_id_102 = result["data"]["list"][0]["productId"]
price_102 = result["data"]["list"][0]["referencePrice"]

# 步骤三登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 步骤四切换至子站点国药集团联合医疗器械有限公司并添加商品至常购清单列表
# 切换至子站点
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2000")
request_body = commonFuc().get_business_data(module, "payload2001")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)

# 添加已商品至常购清单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload4", product_id_102, price_102)

"""
 场景:跨站商品至常购清单列表
 用例名称：跨站商品至常购清单列表
 输出：{"success":true,"code":"200","message":"OK","data":"ok"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# # 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict9")
# # 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 步骤五切换至子站点国药集团河南省医疗器械有限公司并添加商品至常购清单列表
# 切换至子站点
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2000")
request_body = commonFuc().get_business_data(module, "payload2002")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)

# 添加商品至常购清单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload4", product_id_103, price_103)

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict9")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
