# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包批量新增_商品重复添加,2264,2264-10,sit,bs
主数据平台:运营后台管理系统套包批量新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import json
import os
import random
import uuid

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/套包商品批量维护模板.xlsx"

# 获取商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url19")
request_body = commonFuc().get_business_data(module, "payload19")
# 发送请求
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 随机获取不相同两个商品信息
product_id_a = random.randint(1, len(result["data"]["list"]) - 2)
product_code_a = result["data"]["list"][product_id_a]["productCode"]
product_name_a = result["data"]["list"][product_id_a]["productName"]
product_id_b = random.randint(product_id_a, len(result["data"]["list"])-1)
product_code_b = result["data"]["list"][product_id_b]["productCode"]
product_name_b = result["data"]["list"][product_id_b]["productName"]

# 随机生成套包名称
group_name = "测试套包%s" % uuid.uuid4()
# 随机生成商品数量
product_num = random.randint(1, 1000)

# 将商品信息写入文件中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=group_name)
excel.write_data(row=3, column=1, value=group_name)
excel.write_data(row=2, column=2, value=product_code_a)
excel.write_data(row=2, column=3, value=product_name_a)
excel.write_data(row=2, column=4, value=product_num)

excel.write_data(row=3, column=2, value=product_code_a)
excel.write_data(row=3, column=3, value=product_name_a)
excel.write_data(row=3, column=4, value=product_num)

# 第二步批量新增套包
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url18")

request_body = commonFuc().get_business_data(module, "payload18")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""
 场景:批量新增套包时，当商品重复添加时，新增失败
 用例名称：套包批量新增_商品重复添加
 输出：{"success":false}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers, data=request_body)
result = json.loads(result.content)
result = {"success": result["data"]["success"]}
file.close()

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict20")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
