# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc商品限购规则批量导入,2293,2293-014,sit,bs
涉及到接口:运营后台管理商品限购规则批量导入接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import json
import os


module = "cmdc_product"


# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 获取文件地址
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/商品限购模板.xlsx"

# 设定商品信息
product_code = "12364265"
product_name = "医用检查手套"
cus_code = "1071246"
cus_name = "上海勘泽贸易商行"

# 将商品信息写入文件中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=product_code)
excel.write_data(row=2, column=2, value=product_name)
excel.write_data(row=2, column=3, value=cus_code)
excel.write_data(row=2, column=4, value=cus_name)

# 第二步商品限购规则批量导入操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url46")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""
 场景: 商品限购规则批量导入
 用例名称：商品限购规则批量导入
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict46")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
file.close()
