# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_产品线详情,2293,2293-084,sit,bs
主数据平台:运营后台管理系统获取产品线详情接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取产品线详情
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url77")
request_body = commonFuc().get_business_data(module, "payload77")

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
product_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取产品线包含商品信息
product_code = result["data"]["list"][product_random]["productCode"]
product_name = result["data"]["list"][product_random]["productName"]
specifications = result["data"]["list"][product_random]["specifications"]
material_code = result["data"]["list"][product_random]["materialCode"]
manufacturer = result["data"]["list"][product_random]["manufacturer"]

# 进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url78")
request_body = commonFuc().get_business_data(module, "payload78", product_code, product_name, specifications,
                                             material_code, manufacturer)

"""

 场景: 产品详情页面查询条件验证
 用例名称：查询条件验证_产品线详情
 输出：{"productCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取查询结果中商品code
result = {"productCode": result["data"]["list"][0]["productCode"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict78", product_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
