# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_返利审核,2271,2271-20,sit,bs
主数据平台:后台运营系统返利审核列表查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利审核列表信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url8")
request_body = commonFuc().get_business_data(module, "payload8")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)


# 此函数用于当x为none时，进行空字符串替换
def func(x):
    if x is None:
        x = ""
        return x
    else:
        return x


# 生成一个随机数字，用于后续随机选择返利审核记录
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取返利审核列表中某一条审核记录信息
create_name = result["data"]["list"][rebate_random]["createname"]
audit_status = result["data"]["list"][rebate_random]["auditstatus"]
rebate_name = result["data"]["list"][rebate_random]["rebatename"]


# 第三步进行条件查询验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url9")
request_body = commonFuc().get_business_data(module, "payload9", create_name, audit_status, rebate_name)

"""
 场景: 验证返利审核列表查询条件是否可以正常使用
 用例名称：列表查询条件验证_返利审核
 输出：{"rebatename":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取查询结果中使用明细对应的客户编号
result = {"rebatename": result["data"]["list"][0]["rebatename"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict9", rebate_name)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
