# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc客户名单批量导入验证_返利规则,2271,2271-16,sit,bs
主数据平台:运营后台管理系统客户名单批量导入接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import json
import os
import random

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/客户名单模板.xlsx"

# 第二步获取客户信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_customer")
request_body = commonFuc().get_business_data(module, "payload_customer")
# 发送请求
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 生成随机数
customer_random = random.randint(1, len(result["data"]["list"]) - 1)
# 获取客户code
customer_code = result["data"]["list"][customer_random]["customerCode"]
customer_name = result["data"]["list"][customer_random]["customerName"]

# 将客户信息写入导入模板中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=customer_name)
excel.write_data(row=2, column=2, value=customer_code)

# 第四步，进行文件导入操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url18")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""
场景: 客户名单批量导入验证_返利规则
用例名称：客户名单批量导入验证_返利规则
输出：{"success":true}
"""
# 发送请求
result = requests.post(url, files=files, headers=headers)
result = json.loads(result.content)
print(result)
file.close()
result = {"success": result["data"]["errMsg"]["success"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict18")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
