# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc返利规则获取验证,2271,2271-3,sit,bs
主数据平台:后台运营系统返利规则查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利规则
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload3")
"""
 场景: 验证是否可以正常获取返利规则列表
 用例名称：返利规则获取验证
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取列表总数量
total = result["data"]["total"]
print(total)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict3")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询返利规则审核状态
sql = "SELECT t.rebateId FROM `cmdc-order`.tc_rebate t WHERE deleteSign = 0 and filialeCode = 00111"
result = {"total": len(mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql))}
print(result)
# 核验数据库返利规则对应的删除标识是否正确
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict3_1", total)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
















