# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc按条件启用套包验证,2264,2264-43,sit,bs
主数据平台:运营后台管理系统Excel导入接口和套包按条件启用接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
from common.db.db import mySql
import requests
import json
import os


module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/套包按条件启用.xlsx"

# 套包状态-草稿状态
group_status = 0

# 获取套包列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "group_list")
request_body = commonFuc().get_business_data(module, "group_payload", group_status)
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 获取套包信息groupCode、groupName、groupId
group_code = result["data"]["list"][0]["groupCode"]
group_name = result["data"]["list"][0]["groupName"]
group_id = result["data"]["list"][0]["groupId"]

# 将套包信息写入文件中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=group_code)
excel.write_data(row=2, column=2, value=group_name)

# 第二步进行套包数据导入操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload10")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}
# 发送请求
result = requests.post(url, files=files, headers=headers, data=request_body)
result = json.loads(result.content)
file.close()

# 第三步按条件启用套包
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = {"groupIds": [group_id], "type": 0, "remarks": ""}

"""
 场景:按条件启用套包
 用例名称：按条件启用套包
 输出：{"status":1}
"""

# 发送请求
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询套包状态
sql = "SELECT t.status FROM `cmdc-order`.tc_fresenius_group t WHERE groupId = {}".format(group_id)
result = {"status": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict6")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
