# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc根据用户id获取公司信息,2294,2294-1,sit,bs
主数据平台:多采商城根据用户id获取公司信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import json


module = "cmdc_trade"

# 获取登录多采商城所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 根据用户id获取公司信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")

"""

 场景: 根据用户id获取公司信息
 用例名称：根据用户id获取公司信息
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.get(url, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取公司数量
result = {"total": len(result["data"])}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询套包状态
sql = "SELECT count(t.companyId) FROM `cmdc-user`.cmdc_company_user t WHERE userId = 69 and disableSign = 0"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-user", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict1", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
