# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取缺货商品列表,2294,2294-5,sit,bs
主数据平台:多采商城获取缺货商品列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_trade"

# 第一步获取登录多采商城所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取缺货商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")
request_body = commonFuc().get_business_data(module, "payload5")

"""

 场景: 验证获取缺货商品列表接口连通性
 用例名称：获取缺货商品列表
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取分类数量
result = {"total": len(result["data"]["list"])}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中缺货商品数量
sql = "SELECT count(t.id) FROM `cmdc-user`.cmdc_stock_out t WHERE userId = 69"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-user", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict5", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
